## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Class SourceViewerAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.texteditor.ResourceAction
                      org.eclipse.datatools.sqltools.sqlbuilder.views.source.SourceViewerAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction, org.eclipse.ui.texteditor.IUpdate

    public class SourceViewerAction

extends org.eclipse.ui.texteditor.ResourceAction
implements org.eclipse.ui.texteditor.IUpdate

An action which retrieves a `ITextOperationTarget` from its current `TextEditor`, initializes its state according to whether the configured operation can be executed on the target, and also triggers the configured operation on run

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`SourceViewerAction(java.util.ResourceBundle bundle, java.lang.String prefix, org.eclipse.jface.text.source.ISourceViewer viewer)` Creates and initializes the action.
`SourceViewerAction(java.util.ResourceBundle bundle, java.lang.String prefix, org.eclipse.jface.text.source.ISourceViewer viewer, int operationCode)` Creates and initializes the action based on the given operation code.

Method Summary
`boolean` `isActive()`
`void` `run()`
`void` `setAsActive(boolean isActive)`
`void` `setViewer(org.eclipse.jface.text.source.ISourceViewer viewer)` Retargets the action to the specified editor.
`void` `update()` Updates the enable/disable state of the action.

Methods inherited from class org.eclipse.ui.texteditor.ResourceAction
`setHelpContextId`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### SourceViewerAction

    public SourceViewerAction(java.util.ResourceBundle bundle,
                              java.lang.String prefix,
                              org.eclipse.jface.text.source.ISourceViewer viewer)

  Creates and initializes the action.

### SourceViewerAction

    public SourceViewerAction(java.util.ResourceBundle bundle,
                              java.lang.String prefix,
                              org.eclipse.jface.text.source.ISourceViewer viewer,
                              int operationCode)

  Creates and initializes the action based on the given operation code.

Method Detail

### setViewer

    public void setViewer(org.eclipse.jface.text.source.ISourceViewer viewer)

  Retargets the action to the specified editor.

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`
  See Also:
    `Action#run()`

### update

    public void update()

  Updates the enable/disable state of the action.

  Specified by:
    `update` in interface `org.eclipse.ui.texteditor.IUpdate`

### isActive

    public boolean isActive()

### setAsActive

    public void setAsActive(boolean isActive)